<?php

namespace EstatebudConnect\Traits;

if (!defined('WPINC')) {
    die();
}

trait Singleton
{
    private static $instance;

    public static function instance()
    {
        $args = func_get_args();
        if (null === static::$instance) {
            static::$instance = new static(...$args);
        }

        return static::$instance;
    }

    final public function __clone() {}
    final public function __wakeup() {}
}
